# Tanzu Framework

[![Go Reference](https://pkg.go.dev/badge/github.com/vmware-tanzu/tanzu-framework.svg)](https://pkg.go.dev/github.com/vmware-tanzu/tanzu-framework)

## Overview

Tanzu Framework provides a set of building blocks to build atop of the [Tanzu](https://tanzu.vmware.com/tanzu) platform, which includes the following:

* **API Machinery:** For defining and implementing APIs and their controllers
* **CLI Machinery:** For extending the command line experience
* **Packages:** For consistent delivery of core and optional components

Framework leverages [Carvel](https://carvel.dev/) packaging and plugins to provide users with a much stronger, more integrated experience than the loose coupling and stand-alone commands of the previous generation of tools.

## Documentation

The [documentation](docs) provides a getting started guide and information about building from source, the Tanzu Framework architecture, extending the Tanzu platform, and more.

## Getting Started

The best way to get started with Tanzu Framework is by using the CLI. Please see our getting started with the CLI [guide](docs/cli/getting-started.md) for more details.

## Contributing

Thanks for taking the time to join our community and start contributing! We welcome pull requests. Feel free to dig through the [issues](https://github.com/vmware-tanzu/tanzu-framework/issues) and jump in.

### Before you begin

* Check out the [contribution guidelines](CONTRIBUTING.md) to learn more about how to contribute
* Reference our [troubleshooting](docs/dev/troubleshooting.md) tips if you find yourself in need of more debug options.
* Check out this support process document [here](docs/community/support-process.md) to learn more about the process.

## Roadmap

Check out Framework's project [Roadmap](ROADMAP.md) and consider contributing!
