# Severity Definitions

This document provides definitions for various severity levels of the support
program.

## Severity 1

Critical issue that severely impacts the use of the software, and the situation
halts your operations.

1. No procedural workaround exists.
1. Data corrupted or lost.
1. A critical documented feature/function is not available.

## Severity 2

Major functionality is impacted, or significant performance degradation is
experienced. The situation is causing a high impact to portions of your
operations and no reasonable workaround exists.

1. Service is operational but highly degraded performance to the point of major
   impact on usage.
1. Important features of the software are unavailable with no acceptable
   workaround; however, operations can continue in a restricted fashion.

## Severity 3

There is a partial, non-critical loss of use of the software with a
medium-to-low impact, but your operations continues to function. A
short-term workaround is available, but not scalable.

## Severity 4

Inquiry regarding routine technical issues

1. Information is requested on application capabilities, navigation,
   installation, or configuration.
1. Bug is affecting a small number of users. Acceptable workaround is available
