// Code generated by go-swagger; DO NOT EDIT.

package aws

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// ExportTKGConfigForAWSReader is a Reader for the ExportTKGConfigForAWS structure.
type ExportTKGConfigForAWSReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *ExportTKGConfigForAWSReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewExportTKGConfigForAWSOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewExportTKGConfigForAWSBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewExportTKGConfigForAWSUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewExportTKGConfigForAWSInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewExportTKGConfigForAWSOK creates a ExportTKGConfigForAWSOK with default headers values
func NewExportTKGConfigForAWSOK() *ExportTKGConfigForAWSOK {
	return &ExportTKGConfigForAWSOK{}
}

/*ExportTKGConfigForAWSOK handles this case with default header values.

Generated TKG configuration successfully
*/
type ExportTKGConfigForAWSOK struct {
	Payload string
}

func (o *ExportTKGConfigForAWSOK) Error() string {
	return fmt.Sprintf("[POST /api/providers/aws/config/export][%d] exportTKGConfigForAWSOK  %+v", 200, o.Payload)
}

func (o *ExportTKGConfigForAWSOK) GetPayload() string {
	return o.Payload
}

func (o *ExportTKGConfigForAWSOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForAWSBadRequest creates a ExportTKGConfigForAWSBadRequest with default headers values
func NewExportTKGConfigForAWSBadRequest() *ExportTKGConfigForAWSBadRequest {
	return &ExportTKGConfigForAWSBadRequest{}
}

/*ExportTKGConfigForAWSBadRequest handles this case with default header values.

Bad request
*/
type ExportTKGConfigForAWSBadRequest struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForAWSBadRequest) Error() string {
	return fmt.Sprintf("[POST /api/providers/aws/config/export][%d] exportTKGConfigForAWSBadRequest  %+v", 400, o.Payload)
}

func (o *ExportTKGConfigForAWSBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForAWSBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForAWSUnauthorized creates a ExportTKGConfigForAWSUnauthorized with default headers values
func NewExportTKGConfigForAWSUnauthorized() *ExportTKGConfigForAWSUnauthorized {
	return &ExportTKGConfigForAWSUnauthorized{}
}

/*ExportTKGConfigForAWSUnauthorized handles this case with default header values.

Incorrect credentials
*/
type ExportTKGConfigForAWSUnauthorized struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForAWSUnauthorized) Error() string {
	return fmt.Sprintf("[POST /api/providers/aws/config/export][%d] exportTKGConfigForAWSUnauthorized  %+v", 401, o.Payload)
}

func (o *ExportTKGConfigForAWSUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForAWSUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForAWSInternalServerError creates a ExportTKGConfigForAWSInternalServerError with default headers values
func NewExportTKGConfigForAWSInternalServerError() *ExportTKGConfigForAWSInternalServerError {
	return &ExportTKGConfigForAWSInternalServerError{}
}

/*ExportTKGConfigForAWSInternalServerError handles this case with default header values.

Internal server error
*/
type ExportTKGConfigForAWSInternalServerError struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForAWSInternalServerError) Error() string {
	return fmt.Sprintf("[POST /api/providers/aws/config/export][%d] exportTKGConfigForAWSInternalServerError  %+v", 500, o.Payload)
}

func (o *ExportTKGConfigForAWSInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForAWSInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
