// Code generated by go-swagger; DO NOT EDIT.

package azure

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// GetAzureOSImagesReader is a Reader for the GetAzureOSImages structure.
type GetAzureOSImagesReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *GetAzureOSImagesReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewGetAzureOSImagesOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewGetAzureOSImagesBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewGetAzureOSImagesUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewGetAzureOSImagesInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewGetAzureOSImagesOK creates a GetAzureOSImagesOK with default headers values
func NewGetAzureOSImagesOK() *GetAzureOSImagesOK {
	return &GetAzureOSImagesOK{}
}

/*GetAzureOSImagesOK handles this case with default header values.

Successful retrieval of Azure supported os images
*/
type GetAzureOSImagesOK struct {
	Payload []*models.AzureVirtualMachine
}

func (o *GetAzureOSImagesOK) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure/osimages][%d] getAzureOSImagesOK  %+v", 200, o.Payload)
}

func (o *GetAzureOSImagesOK) GetPayload() []*models.AzureVirtualMachine {
	return o.Payload
}

func (o *GetAzureOSImagesOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureOSImagesBadRequest creates a GetAzureOSImagesBadRequest with default headers values
func NewGetAzureOSImagesBadRequest() *GetAzureOSImagesBadRequest {
	return &GetAzureOSImagesBadRequest{}
}

/*GetAzureOSImagesBadRequest handles this case with default header values.

Bad request
*/
type GetAzureOSImagesBadRequest struct {
	Payload *models.Error
}

func (o *GetAzureOSImagesBadRequest) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure/osimages][%d] getAzureOSImagesBadRequest  %+v", 400, o.Payload)
}

func (o *GetAzureOSImagesBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureOSImagesBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureOSImagesUnauthorized creates a GetAzureOSImagesUnauthorized with default headers values
func NewGetAzureOSImagesUnauthorized() *GetAzureOSImagesUnauthorized {
	return &GetAzureOSImagesUnauthorized{}
}

/*GetAzureOSImagesUnauthorized handles this case with default header values.

Incorrect credentials
*/
type GetAzureOSImagesUnauthorized struct {
	Payload *models.Error
}

func (o *GetAzureOSImagesUnauthorized) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure/osimages][%d] getAzureOSImagesUnauthorized  %+v", 401, o.Payload)
}

func (o *GetAzureOSImagesUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureOSImagesUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureOSImagesInternalServerError creates a GetAzureOSImagesInternalServerError with default headers values
func NewGetAzureOSImagesInternalServerError() *GetAzureOSImagesInternalServerError {
	return &GetAzureOSImagesInternalServerError{}
}

/*GetAzureOSImagesInternalServerError handles this case with default header values.

Internal server error
*/
type GetAzureOSImagesInternalServerError struct {
	Payload *models.Error
}

func (o *GetAzureOSImagesInternalServerError) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure/osimages][%d] getAzureOSImagesInternalServerError  %+v", 500, o.Payload)
}

func (o *GetAzureOSImagesInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureOSImagesInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
