// Code generated by go-swagger; DO NOT EDIT.

package vsphere

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// GetVSphereResourcePoolsOKCode is the HTTP code returned for type GetVSphereResourcePoolsOK
const GetVSphereResourcePoolsOKCode int = 200

/*GetVSphereResourcePoolsOK Successful retrieval of vSphere resourcePools

swagger:response getVSphereResourcePoolsOK
*/
type GetVSphereResourcePoolsOK struct {

	/*
	  In: Body
	*/
	Payload []*models.VSphereResourcePool `json:"body,omitempty"`
}

// NewGetVSphereResourcePoolsOK creates GetVSphereResourcePoolsOK with default headers values
func NewGetVSphereResourcePoolsOK() *GetVSphereResourcePoolsOK {

	return &GetVSphereResourcePoolsOK{}
}

// WithPayload adds the payload to the get v sphere resource pools o k response
func (o *GetVSphereResourcePoolsOK) WithPayload(payload []*models.VSphereResourcePool) *GetVSphereResourcePoolsOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get v sphere resource pools o k response
func (o *GetVSphereResourcePoolsOK) SetPayload(payload []*models.VSphereResourcePool) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetVSphereResourcePoolsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.VSphereResourcePool, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}

// GetVSphereResourcePoolsBadRequestCode is the HTTP code returned for type GetVSphereResourcePoolsBadRequest
const GetVSphereResourcePoolsBadRequestCode int = 400

/*GetVSphereResourcePoolsBadRequest Bad request

swagger:response getVSphereResourcePoolsBadRequest
*/
type GetVSphereResourcePoolsBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewGetVSphereResourcePoolsBadRequest creates GetVSphereResourcePoolsBadRequest with default headers values
func NewGetVSphereResourcePoolsBadRequest() *GetVSphereResourcePoolsBadRequest {

	return &GetVSphereResourcePoolsBadRequest{}
}

// WithPayload adds the payload to the get v sphere resource pools bad request response
func (o *GetVSphereResourcePoolsBadRequest) WithPayload(payload *models.Error) *GetVSphereResourcePoolsBadRequest {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get v sphere resource pools bad request response
func (o *GetVSphereResourcePoolsBadRequest) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetVSphereResourcePoolsBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(400)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// GetVSphereResourcePoolsUnauthorizedCode is the HTTP code returned for type GetVSphereResourcePoolsUnauthorized
const GetVSphereResourcePoolsUnauthorizedCode int = 401

/*GetVSphereResourcePoolsUnauthorized Incorrect credentials

swagger:response getVSphereResourcePoolsUnauthorized
*/
type GetVSphereResourcePoolsUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewGetVSphereResourcePoolsUnauthorized creates GetVSphereResourcePoolsUnauthorized with default headers values
func NewGetVSphereResourcePoolsUnauthorized() *GetVSphereResourcePoolsUnauthorized {

	return &GetVSphereResourcePoolsUnauthorized{}
}

// WithPayload adds the payload to the get v sphere resource pools unauthorized response
func (o *GetVSphereResourcePoolsUnauthorized) WithPayload(payload *models.Error) *GetVSphereResourcePoolsUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get v sphere resource pools unauthorized response
func (o *GetVSphereResourcePoolsUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetVSphereResourcePoolsUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// GetVSphereResourcePoolsInternalServerErrorCode is the HTTP code returned for type GetVSphereResourcePoolsInternalServerError
const GetVSphereResourcePoolsInternalServerErrorCode int = 500

/*GetVSphereResourcePoolsInternalServerError Internal server error

swagger:response getVSphereResourcePoolsInternalServerError
*/
type GetVSphereResourcePoolsInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewGetVSphereResourcePoolsInternalServerError creates GetVSphereResourcePoolsInternalServerError with default headers values
func NewGetVSphereResourcePoolsInternalServerError() *GetVSphereResourcePoolsInternalServerError {

	return &GetVSphereResourcePoolsInternalServerError{}
}

// WithPayload adds the payload to the get v sphere resource pools internal server error response
func (o *GetVSphereResourcePoolsInternalServerError) WithPayload(payload *models.Error) *GetVSphereResourcePoolsInternalServerError {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get v sphere resource pools internal server error response
func (o *GetVSphereResourcePoolsInternalServerError) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetVSphereResourcePoolsInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(500)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
